import { Projected, Projector } from "parsegraph-projector";
import Method from "parsegraph-method";
export default class NavportWebOverlay implements Projected {
    _iframes: Map<Projector, [HTMLDivElement, HTMLIFrameElement, () => void]>;
    _update: Method;
    _size: number;
    constructor(size?: number);
    scheduleUpdate(): void;
    setOnScheduleUpdate(func: Function, obj?: object): void;
    setSize(pct?: number): void;
    tick(startDate: number): boolean;
    _url: string | ((parElem: HTMLDivElement) => void);
    show(url: string | ((parElem: HTMLDivElement) => void)): void;
    hide(): void;
    unmount(projector: Projector): void;
    dispose(): void;
    close(): void;
    paint(projector: Projector, timeout?: number): boolean;
    url(): string | ((parElem: HTMLDivElement) => void);
    render(projector: Projector): boolean;
}
//# sourceMappingURL=NavportWebOverlay.d.ts.map